Subject: Re: Custom locales seem not to work
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Tue, 22 Jun 2021 12:32:47 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-06-22 02:50, Алекса -скрыто- via Cygwin wrote:
> The locale provides the necessary codes, so I don't see the issue.
> 
> ​    <special xmlns:msLocale="http://schemas.microsoft.com/globalization/2004/08/carib/ldml">
>        <msLocale:cultureInfoVersion type="3.0" />
>        <msLocale:cultureAndRegionInfoName type="ie-XX" />
>        <msLocale:geoId>223</msLocale:geoId>
>        <msLocale:countryCode>41</msLocale:countryCode>
>        <msLocale:parentName type="fr-CH" />
>        <msLocale:languageNameAbbr type="INE" />
>        <msLocale:languageIsoName type="threeLetters">ile</msLocale:languageIsoName>
>        <msLocale:languageIsoName type="twoLetters">ie</msLocale:languageIsoName>
>        <msLocale:nativeName type="Interlingue" />
>        <msLocale:regionEnglishName type="Worldwide" />
>        <msLocale:regionNativeName type="Panmundal" />
>        <msLocale:regionIsoName type="threeLetters">XXX</msLocale:regionIsoName>
>        <msLocale:regionIsoName type="twoLetters">XX</msLocale:regionIsoName>
>        <msLocale:regionWindowsName type="threeLetters">XXX</msLocale:regionWindowsName>
>        <msLocale:englishName type="Interlingue (Occidental)" />
>        <msLocale:sortName type="en-US" />
>        <msLocale:sortGuid type="{00000001-57EE-1E5C-00B4-D0000BB1E11E}" />
>        <msLocale:codePagesName type="fr-CH" />
>        <msLocale:englishLanguage type="Interlingue" />
>        <msLocale:nativeLanguage type="Interlingue" />
>        <msLocale:keyboardsToInstall type="100c:00020409" />
>      </special>
>    </identity>
> 

I have never seen ie used as a language code under Linux systems, and it 
is interlingual, associated with unspecified territory code XX, so you 
would have to set each locale category separately to achieve the desired 
effects: fr_CH or en_US.

What does Cygwin show when you run the locale dump command I posted 
under a shell:

	$ for o in -s -u -i -n -f ''; do locale $o; done

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple